cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

At least which version of 'wget' should we use when we download OneAgent on Linux hosts?

kohei-saito
Organizer

Hi,

For example, we use the following command to download oneagent installer when we install OneAgent into Linux hosts.

wget -O Dynatrace-OneAgent-Linux-[version].sh http://[serverURL]/installer/agent/unix/latest/

However I sometimes fail to download this OneAgent installer because of the older version of wget command.

I can download the installer with wget updated if this issue occured.

yum update wget

Here, could you tell me at least which version of 'wget' we should use when we download OneAgent on Linux hosts?

Prior to installation, I'd like to check if the version of wget is available or not.

Kohei

2 REPLIES 2

Julius_Loman
Leader

You don't have to download the installer manually to each host. Installation image can be shared and you can use any tool you want (curl for example or download in in your browser and upload it to servers afterwards).

You can also download with any wget version which supports HTTPS. Also wget can be built without SSL/TLS support (common case for AIX).


kohei-saito
Organizer

Hi @Julius L.,

Thanks for your reply!

Yes, as you said, all I have to do for installation of oneagent is downloading the installer via any one host or client (and then share this installer), but I'd like to check wget version in advance of installation if possible.

In rare cases, some of customers manage configurations of system so strictly that we cannot install/update wget just on installation.

(So I want to announce the version of wget we should use, in advance.)

Having said that, as you told me, I understand that the version of wget depends on whether it supports

HTTPS or not, so I'm going to tell our customer that they install/update wget which supports HTTPS.

Thank you very much!

Regards,

Kohei Saito